"""Константы, используемые для сервера."""
FRAME_SIZE = 1024000
"Размер буфер для чтения данных"

SERVER = "ehttp"
"Имя сервера в заголовках ответа"

DEFAULT_HEADERS = {
    "Content-Type": "{ContentType}; charset=utf-8",
    "Server": "{Server}",
    "Date": "{DateTime}",
    "Content-Length": "{ContentLength}",
}
"Заголовки ответа по умолчанию"

CORS_HEADERS = {
    "Access-Control-Allow-Origin": "*",
}
"Заголовки для CORS"

TYPES = {
    'js': 'application/javascript',
    'mjs': 'application/javascript',
    'json': 'application/json',
    'webmanifest': 'application/manifest+json',
    'doc': 'application/msword',
    'docx': 'application/msword',
    'dot': 'application/msword',
    'wiz': 'application/msword',
    'bin': 'application/octet-stream',
    'a': 'application/octet-stream',
    'dll': 'application/octet-stream',
    'exe': 'application/octet-stream',
    'o': 'application/octet-stream',
    'obj': 'application/octet-stream',
    'so': 'application/octet-stream',
    'oda': 'application/oda',
    'pdf': 'application/pdf',
    'p7c': 'application/pkcs7-mime',
    'ps': 'application/postscript',
    'ai': 'application/postscript',
    'eps': 'application/postscript',
    'm3u': 'application/vnd.apple.mpegurl',
    'm3u8': 'application/vnd.apple.mpegurl',
    'xls': 'application/vnd.ms-excel',
    'xlb': 'application/vnd.ms-excel',
    'ppt': 'application/vnd.ms-powerpoint',
    'pot': 'application/vnd.ms-powerpoint',
    'ppa': 'application/vnd.ms-powerpoint',
    'pps': 'application/vnd.ms-powerpoint',
    'pwz': 'application/vnd.ms-powerpoint',
    'wasm': 'application/wasm',
    'bcpio': 'application/x-bcpio',
    'cpio': 'application/x-cpio',
    'csh': 'application/x-csh',
    'dvi': 'application/x-dvi',
    'gtar': 'application/x-gtar',
    'hdf': 'application/x-hdf',
    'h5': 'application/x-hdf5',
    'latex': 'application/x-latex',
    'mif': 'application/x-mif',
    'cdf': 'application/x-netcdf',
    'nc': 'application/x-netcdf',
    'p12': 'application/x-pkcs12',
    'pfx': 'application/x-pkcs12',
    'ram': 'application/x-pn-realaudio',
    'pyc': 'application/x-python-code',
    'pyo': 'application/x-python-code',
    'sh': 'application/x-sh',
    'shar': 'application/x-shar',
    'swf': 'application/x-shockwave-flash',
    'sv4cpio': 'application/x-sv4cpio',
    'sv4crc': 'application/x-sv4crc',
    'tar': 'application/x-tar',
    'tcl': 'application/x-tcl',
    'tex': 'application/x-tex',
    'texi': 'application/x-texinfo',
    'texinfo': 'application/x-texinfo',
    'roff': 'application/x-troff',
    't': 'application/x-troff',
    'tr': 'application/x-troff',
    'man': 'application/x-troff-man',
    'me': 'application/x-troff-me',
    'ms': 'application/x-troff-ms',
    'ustar': 'application/x-ustar',
    'src': 'application/x-wais-source',
    'xsl': 'application/xml',
    'rdf': 'application/xml',
    'wsdl': 'application/xml',
    'xpdl': 'application/xml',
    'zip': 'application/zip',
    '3gp': 'audio/3gpp',
    '3gpp': 'audio/3gpp',
    '3g2': 'audio/3gpp2',
    '3gpp2': 'audio/3gpp2',
    'aac': 'audio/aac',
    'adts': 'audio/aac',
    'loas': 'audio/aac',
    'ass': 'audio/aac',
    'au': 'audio/basic',
    'snd': 'audio/basic',
    'mp3': 'audio/mpeg',
    'mp2': 'audio/mpeg',
    'opus': 'audio/opus',
    'aif': 'audio/x-aiff',
    'aifc': 'audio/x-aiff',
    'aiff': 'audio/x-aiff',
    'ra': 'audio/x-pn-realaudio',
    'wav': 'audio/x-wav',
    'gif': 'image/gif',
    'ief': 'image/ief',
    'jpg': 'image/jpeg',
    'jpe': 'image/jpeg',
    'jpeg': 'image/jpeg',
    'heic': 'image/heic',
    'heif': 'image/heif',
    'png': 'image/png',
    'svg': 'image/svg+xml',
    'tiff': 'image/tiff',
    'tif': 'image/tiff',
    'ico': 'image/vnd.microsoft.icon',
    'ras': 'image/x-cmu-raster',
    'bmp': 'image/x-ms-bmp',
    'pnm': 'image/x-portable-anymap',
    'pbm': 'image/x-portable-bitmap',
    'pgm': 'image/x-portable-graymap',
    'ppm': 'image/x-portable-pixmap',
    'rgb': 'image/x-rgb',
    'xbm': 'image/x-xbitmap',
    'xpm': 'image/x-xpixmap',
    'xwd': 'image/x-xwindowdump',
    'eml': 'message/rfc822',
    'mht': 'message/rfc822',
    'mhtml': 'message/rfc822',
    'nws': 'message/rfc822',
    'css': 'text/css',
    'csv': 'text/csv',
    'html': 'text/html',
    'htm': 'text/html',
    'txt': 'text/plain',
    'bat': 'text/plain',
    'c': 'text/plain',
    'h': 'text/plain',
    'ksh': 'text/plain',
    'pl': 'text/plain',
    'rtx': 'text/richtext',
    'tsv': 'text/tab-separated-values',
    'py': 'text/x-python',
    'etx': 'text/x-setext',
    'sgm': 'text/x-sgml',
    'sgml': 'text/x-sgml',
    'vcf': 'text/x-vcard',
    'xml': 'text/xml',
    'mp4': 'video/mp4',
    'mpeg': 'video/mpeg',
    'm1v': 'video/mpeg',
    'mpa': 'video/mpeg',
    'mpe': 'video/mpeg',
    'mpg': 'video/mpeg',
    'mov': 'video/quicktime',
    'qt': 'video/quicktime',
    'webm': 'video/webm',
    'avi': 'video/x-msvideo',
    'movie': 'video/x-sgi-movie',
}
"Типы данных для файлов разных расширений"

CODES = {
    100: "Continue",
    101: "Switching Protocols",
    102: "Processing",
    103: "Early Hints",

    200: "OK",
    201: "Created",
    202: "Accepted",
    203: "Non-Authoritative Information",
    204: "No Content",
    205: "Reset Content",
    206: "Partial Content",
    207: "Multi-Status",
    208: "Already Reported",
    226: "IM Used",

    300: "Multiple Choices",
    301: "Moved Permanently",
    302: "Moved Temporarily",
    303: "See Other",
    304: "Not Modified",
    305: "Use Proxy",
    307: "Temporary Redirect",
    308: "Permanent Redirect",

    400: "Bad Request",
    401: "Unauthorized",
    402: "Payment Required",
    403: "Forbidden",
    404: "Not Found",
    405: "Method Not Allowed",
    406: "Not Acceptable",
    407: "Proxy Authentication Required",
    408: "Request Timeout",
    409: "Conflict",
    410: "Gone",
    411: "Length Required",
    412: "Precondition Failed",
    413: "Payload Too Large",
    414: "URI Too Long",
    415: "Unsupported Media Type",
    416: "Range Not Satisfiable",
    417: "Expectation Failed",
    418: "I`m a teapot",
    419: "Authentication Timeout",
    421: "Misdirected Request",
    422: "Unprocessable Entity",
    423: "Locked",
    424: "Failed Dependency",
    425: "Too Early",
    426: "Upgrade Required",
    428: "Precondition Required",
    429: "Too Many Requests",
    431: "Request Header Fields Too Large",
    449: "Retry With",
    451: "Unavailable For Legal Reasons",
    499: "Client Closed Request",

    500: "Internal Server Error",
    501: "Not Implemented",
    502: "Bad Gateway",
    503: "Service Unavailable",
    504: "Gateway Timeout",
    505: "HTTP Version Not Supported",
    506: "Variant Also Negotiates",
    507: "Insufficient Storage",
    508: "Loop Detected",
    509: "Bandwidth Limit Exceeded",
    510: "Not Extended",
    511: "Network Authentication Required",
    520: "Unknown Error",
    521: "Web Server Is Down",
    522: "Connection Timed Out",
    523: "Origin Is Unreachable",
    524: "A Timeout Occurred",
    525: "SSL Handshake Failed",
    526: "Invalid SSL Certificate"
}
"Коды ответов"
